Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1997852 - [abrt] mate-screensaver: matemenu_tree_item_ref(): mate-screensaver killed by SIGSEGV
Summary: [abrt] mate-screensaver: matemenu_tree_item_ref(): mate-screensaver killed by...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-screensaver
Version: 34
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5ef140a5b5a47038d6091b70493...
: 1998185 2003466 2014897 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-25 23:09 UTC by Bob Schultz
Modified: 2021-11-23 01:47 UTC (History)
5 users (show)

Fixed In Version: mate-screensaver-1.26.0-2.fc35 mate-screensaver-1.26.0-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-23 01:31:33 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2021-08-25 23:09 UTC, Bob Schultz
no flags Details
File: core_backtrace (deleted)
2021-08-25 23:09 UTC, Bob Schultz
no flags Details
File: cpuinfo (deleted)
2021-08-25 23:09 UTC, Bob Schultz
no flags Details
File: dso_list (deleted)
2021-08-25 23:09 UTC, Bob Schultz
no flags Details
File: environ (deleted)
2021-08-25 23:09 UTC, Bob Schultz
no flags Details
File: exploitable (deleted)
2021-08-25 23:09 UTC, Bob Schultz
no flags Details
File: limits (deleted)
2021-08-25 23:09 UTC, Bob Schultz
no flags Details
File: maps (deleted)
2021-08-25 23:09 UTC, Bob Schultz
no flags Details
File: mountinfo (deleted)
2021-08-25 23:09 UTC, Bob Schultz
no flags Details
File: open_fds (deleted)
2021-08-25 23:09 UTC, Bob Schultz
no flags Details
File: proc_pid_status (deleted)
2021-08-25 23:09 UTC, Bob Schultz
no flags Details

Description Bob Schultz 2021-08-25 23:09:26 UTC
Version-Release number of selected component:
mate-screensaver-1.26.0-1.fc34

Additional info:
reporter:       libreport-2.15.2
backtrace_rating: 4
cgroup:         0::/user.slice/user-500.slice/user/app.slice/dbus-:1.2-org.mate.ScreenSaver
cmdline:        /usr/bin/mate-screensaver --no-daemon
crash_function: matemenu_tree_item_ref
executable:     /usr/bin/mate-screensaver
journald_cursor: s=889922389d974075be0b065b0cd326c0;i=15cb8;b=d17c467f09e440e29b8a0f2d6496cbea;m=18bb80fe;t=5ca684514f3bd;x=bf6e66c38478500d
kernel:         5.13.12-200.fc34.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 matemenu_tree_item_ref at /usr/src/debug/mate-menus-1.26.0-1.fc34.x86_64/libmenu/matemenu-tree.c:1799
 #1 find_info_for_id at /usr/src/debug/mate-screensaver-1.26.0-1.fc34.x86_64/src/gs-theme-manager.c:270
 #2 gs_theme_manager_lookup_theme_info at /usr/src/debug/mate-screensaver-1.26.0-1.fc34.x86_64/src/gs-theme-manager.c:308
 #3 manager_select_theme_for_job at /usr/src/debug/mate-screensaver-1.26.0-1.fc34.x86_64/src/gs-manager.c:257
 #4 manager_show_window at /usr/src/debug/mate-screensaver-1.26.0-1.fc34.x86_64/src/gs-manager.c:1318
 #5 window_show_cb at /usr/src/debug/mate-screensaver-1.26.0-1.fc34.x86_64/src/gs-manager.c:1352
 #10 gtk_widget_show at /usr/src/debug/gtk3-3.24.30-1.fc34.x86_64/gtk/gtkwidget.c:4848
 #11 show_windows at /usr/src/debug/mate-screensaver-1.26.0-1.fc34.x86_64/src/gs-manager.c:1781
 #12 gs_manager_activate at /usr/src/debug/mate-screensaver-1.26.0-1.fc34.x86_64/src/gs-manager.c:1857
 #13 gs_manager_set_active at /usr/src/debug/mate-screensaver-1.26.0-1.fc34.x86_64/src/gs-manager.c:1903

Comment 1 Bob Schultz 2021-08-25 23:09:29 UTC
Created attachment 1817617 [details]
File: backtrace

Comment 2 Bob Schultz 2021-08-25 23:09:30 UTC
Created attachment 1817618 [details]
File: core_backtrace

Comment 3 Bob Schultz 2021-08-25 23:09:31 UTC
Created attachment 1817619 [details]
File: cpuinfo

Comment 4 Bob Schultz 2021-08-25 23:09:32 UTC
Created attachment 1817620 [details]
File: dso_list

Comment 5 Bob Schultz 2021-08-25 23:09:34 UTC
Created attachment 1817621 [details]
File: environ

Comment 6 Bob Schultz 2021-08-25 23:09:35 UTC
Created attachment 1817622 [details]
File: exploitable

Comment 7 Bob Schultz 2021-08-25 23:09:36 UTC
Created attachment 1817623 [details]
File: limits

Comment 8 Bob Schultz 2021-08-25 23:09:37 UTC
Created attachment 1817624 [details]
File: maps

Comment 9 Bob Schultz 2021-08-25 23:09:38 UTC
Created attachment 1817625 [details]
File: mountinfo

Comment 10 Bob Schultz 2021-08-25 23:09:39 UTC
Created attachment 1817626 [details]
File: open_fds

Comment 11 Bob Schultz 2021-08-25 23:09:40 UTC
Created attachment 1817627 [details]
File: proc_pid_status

Comment 12 Bob Schultz 2021-08-26 14:34:41 UTC
*** Bug 1998185 has been marked as a duplicate of this bug. ***

Comment 13 Wolfgang Ulbrich 2021-08-26 14:58:02 UTC
Please post command output.
rpm -qa libmate* caja* engrampa* atril* pluma* mozo* python3-caja mate*

Comment 14 Wolfgang Ulbrich 2021-08-26 14:58:54 UTC
And why user id 500 ?

Comment 15 Bob Schultz 2021-08-26 19:36:01 UTC
UID 500 is me Bob

Bob@engineering ~$ rpm -qa libmate* caja* engrampa* atril* pluma* mozo* python3-caja mate*
libmateweather-data-1.26.0-1.fc34.noarch
libmateweather-1.26.0-1.fc34.x86_64
libmatekbd-1.26.0-1.fc34.x86_64
caja-schemas-1.26.0-1.fc34.x86_64
pluma-data-1.26.0-1.fc34.noarch
pluma-1.26.0-1.fc34.x86_64
libmatemixer-1.26.0-1.fc34.x86_64
caja-core-extensions-1.26.0-1.fc34.x86_64
caja-1.26.0-1.fc34.x86_64
caja-extensions-common-1.26.0-1.fc34.noarch
caja-actions-doc-1.26.0-1.fc34.noarch
atril-libs-1.26.0-1.fc34.x86_64
pluma-devel-1.26.0-1.fc34.x86_64
atril-1.26.0-1.fc34.x86_64
caja-actions-1.26.0-1.fc34.x86_64
caja-open-terminal-1.26.0-1.fc34.x86_64
mozo-1.26.0-1.fc34.noarch
Bob@engineering ~$ 

Note system mate currently downgraded to 1.24 in order to have a working system.
Bob@engineering ~$ sudo dnf list installed mate*1.24*
Installed Packages
mate-applets.x86_64                                          1.24.1-3.fc34                  @fedora 
mate-backgrounds.noarch                                      1.24.2-3.fc34                  @fedora 
mate-calc.x86_64                                             1.24.2-1.fc34                  @fedora 
mate-common.noarch                                           1.24.2-3.fc34                  @updates
mate-control-center.x86_64                                   1.24.2-1.fc34                  @fedora 
mate-control-center-devel.x86_64                             1.24.2-1.fc34                  @fedora 
mate-control-center-filesystem.x86_64                        1.24.2-1.fc34                  @fedora 
mate-desktop.x86_64                                          1.24.1-6.fc34                  @updates
mate-desktop-devel.x86_64                                    1.24.1-6.fc34                  @updates
mate-desktop-libs.x86_64                                     1.24.1-6.fc34                  @updates
mate-dictionary.x86_64                                       1.24.0-3.fc34                  @fedora 
mate-disk-image-mounter.x86_64                               1.24.0-3.fc34                  @fedora 
mate-disk-usage-analyzer.x86_64                              1.24.0-3.fc34                  @fedora 
mate-icon-theme.noarch                                       1.24.0-3.fc34                  @fedora 
mate-media.x86_64                                            1.24.1-2.fc34                  @fedora 
mate-menus.x86_64                                            1.24.1-2.fc34                  @fedora 
mate-menus-devel.x86_64                                      1.24.1-2.fc34                  @fedora 
mate-menus-libs.x86_64                                       1.24.1-2.fc34                  @fedora 
mate-menus-preferences-category-menu.x86_64                  1.24.1-2.fc34                  @fedora 
mate-notification-daemon.x86_64                              1.24.2-1.fc34                  @fedora 
mate-panel.x86_64                                            1.24.2-2.fc34                  @fedora 
mate-panel-devel.x86_64                                      1.24.2-2.fc34                  @fedora 
mate-panel-libs.x86_64                                       1.24.2-2.fc34                  @fedora 
mate-polkit.x86_64                                           1.24.0-4.fc34                  @fedora 
mate-power-manager.x86_64                                    1.24.3-1.fc34                  @fedora 
mate-screensaver.x86_64                                      1.24.2-1.fc34                  @fedora 
mate-screensaver-devel.x86_64                                1.24.2-1.fc34                  @fedora 
mate-screenshot.x86_64                                       1.24.0-3.fc34                  @fedora 
mate-search-tool.x86_64                                      1.24.0-3.fc34                  @fedora 
mate-sensors-applet.x86_64                                   1.24.1-2.fc34                  @fedora 
mate-sensors-applet-devel.x86_64                             1.24.1-2.fc34                  @fedora 
mate-session-manager.x86_64                                  1.24.3-1.fc34                  @updates
mate-settings-daemon.x86_64                                  1.24.2-2.fc34                  @fedora 
mate-settings-daemon-devel.x86_64                            1.24.2-2.fc34                  @fedora 
mate-system-log.x86_64                                       1.24.0-3.fc34                  @fedora 
mate-system-monitor.x86_64                                   1.24.2-1.fc34                  @fedora 
mate-terminal.x86_64                                         1.24.1-2.fc34                  @fedora 
mate-user-guide.noarch                                       1.24.0-3.fc34                  @fedora 
mate-utils.x86_64                                            1.24.0-3.fc34                  @fedora 
mate-utils-common.noarch                                     1.24.0-3.fc34                  @fedora 
mate-utils-devel.x86_64                                      1.24.0-3.fc34                  @fedora 
Bob@engineering ~$ 


Also note, on an unrelated system, a laptop, experienced the screensaver failure. Reported as https://bugzilla.redhat.com/show_bug.cgi?id=1998185

Also, archlinux user reports problems after 1.26 update https://bbs.archlinux.org/viewtopic.php?pid=1989238#p1989238

Comment 16 Wolfgang Ulbrich 2021-08-26 21:20:46 UTC
Do not mix 1.24 and 1.26. How should we debug a 1.26 package when needed dependencies aren't installed?
Again, why you don't use normal user id ?

Comment 17 Bob Schultz 2021-08-27 14:40:59 UTC
Obviously can't debug a mixed system. All the dumps/reports were for the upgraded 1.26 dysfunctional system. The listing in comment 15 was in quick response to comment 13, which was generated on the working mixed system, as there was no time to recreate the complete 1.26 broken system at that time.

UID 500 was the normal UID when the system was first created on Fri 30 Oct 2009 as recorded for folder /home/Bob. System has been continually updated and migrated since first creation. The apparent latter year administrative switch to UID's starting at 1000 seems to have no bearing on current proper operation.

Comment 18 Wolfgang Ulbrich 2021-08-27 15:06:29 UTC
Can you please file out reports at upstream. Maybe they can reproduce your problems.
Sorry, i can't reproduce non of them.
https://github.com/mate-desktop/mate-panel/issues
https://github.com/mate-desktop/mate-screensaver/issues

Comment 19 Bob Schultz 2021-08-27 18:55:42 UTC
Ok, thank you for your help. I have filed upstream reports.

https://github.com/mate-desktop/mate-screensaver/issues/253

https://github.com/mate-desktop/mate-panel/issues/1249

Comment 20 Wolfgang Ulbrich 2021-08-27 19:51:18 UTC
Amazing, do you really think that developers from unbutu/debian will really look in your reports when you only give a link to rhbz?
You're very optimistic.
Please provide as much information as possible.
Why you expect help from developers when you write simply nothing?

Comment 21 Bob Schultz 2021-08-28 16:02:15 UTC
Problem essentially resolved. Dconf settings were incompatible with 1.26 for some reason.

Comment 22 Bob Schultz 2021-09-01 14:47:32 UTC
Problem not resolved. Although 1.26 panel malfunctions were traced to nvidia, after removing nvidia and running nouveau, the screensaver bug still persists. Sometimes the screensaver will engage a few times properly, but then it will not respond to manual initiation. The failed manual starts are accompanied by aborts.

Comment 23 todd_lewis 2021-09-12 15:54:00 UTC
*** Bug 2003466 has been marked as a duplicate of this bug. ***

Comment 24 Victor Stratan 2021-09-15 12:31:47 UTC
Similar problem has been detected:

i left the linux mate desktop idle. when i came back the screen was black and would not wake up. was able to open a new text terminal and reboot from there. was not able to see anything or wakeup the X graphical screen before reboot.

reporter:       libreport-2.15.2
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/session-4.scope
cmdline:        mate-screensaver
crash_function: matemenu_tree_item_ref
executable:     /usr/bin/mate-screensaver
journald_cursor: s=dd1adf77adfd4533b5ee6e39a1e67058;i=76252;b=7a3c62256edf4e43852b18e10b08e943;m=dfbc31c6;t=5cc01c85fc7b6;x=d503e100721ff666
kernel:         5.13.12-200.fc34.x86_64
package:        mate-screensaver-1.26.0-1.fc34
reason:         mate-screensaver killed by SIGSEGV
rootdir:        /
runlevel:       3 5
type:           CCpp
uid:            1000

Comment 25 todd_lewis 2021-09-15 18:01:14 UTC
(In reply to Victor Stratan from comment #24)
> Similar problem has been detected:
> 
> i left the linux mate desktop idle. when i came back the screen was black
> and would not wake up. was able to open a new text terminal and reboot from
> there. was not able to see anything or wakeup the X graphical screen before
> reboot.

Exactly the scenario I'm encountering on a half-dozen hosts. I've taken to
  chmod -x /usr/bin/mate-screensaver
until we get some resolution.

Comment 26 Bob Schultz 2021-09-18 20:23:37 UTC
Update. Experience with 1.26 had been terrible. Screensaver lockups on multiple F34 systems. In view of the other problem with nvidia incompatibility, I've had to downgrade two systems to 1.24 level, which has worked flawlessly (as it did previous to the the 1.26 problem upgrade) for the past two weeks. The "acid test" clean install with nouveau vs. nvidia drivers under 1.26 clearly isolates the problem to 1.26 and the proprietary nvidia driver. 1.24 works fine. Something changed/added to 1.26, possibly Wayland related, must be responsible for the faulty operation. The major concern is that F35, when released, might be stuck with a dysfunctional 1.26 MATE version, making an F35 upgrade a non-option here. Currently, all updates here require "--exclude=caja*,libmate*,marco*,mate*,eom*" option following the complete downgrade to 1.24.

Comment 27 Wolfgang Ulbrich 2021-09-19 15:10:35 UTC
(In reply to Victor Stratan from comment #24)
> Similar problem has been detected:
> 
> i left the linux mate desktop idle. when i came back the screen was black
> and would not wake up. was able to open a new text terminal and reboot from
> there. was not able to see anything or wakeup the X graphical screen before
> reboot.
> 

Thank you for giving the first useful information in this report.
So steps to reproduce are:
1. Leaving desktop in idle, no lock screen by hand, or closing lid.
2. Mate session will be locked automatically by default screensaver settings
3. Screensaver theme `black screen` is running, the monitor isn't power off
4. You coming back and pressing any key doesn't give you the unlock dialog.
5. You could open another console and reboot from there.

Some questions:
System wasn't suspended or monitor was power off?

Can you please test this setting?
```
[rave@mother ~]$ gsettings get org.mate.screensaver lock-enabled
false
[rave@mother ~]$ gsettings get org.mate.screensaver idle-activation-enabled
true
```
Use `gesettings set org.mate.screensaver lock-enabled false && gesettings set org.mate.screensaver idle-activation-enabled true`
I like to know if the unlock-dialog causes the issue or the screensaver itself.

If this steps to reproduce i can try to reproduce it on my notebook.
Sorry, normally i use a workstation without needed to lock my screen.
And in the evening i simply power off my box.

I am also wondering about the crash function `matemenu_tree_item_ref`, because this comes from mate-menus and is only use by mate-panel and not by mate-screensaver.
```
[rave@mother github-matedesktop]$ grep -nr matemenu_tree_item_ref *
mate-menus/libmenu/matemenu-tree.c:869:  return matemenu_tree_item_ref (tree->root);
mate-menus/libmenu/matemenu-tree.c:948:  return directory ? matemenu_tree_item_ref (directory) : NULL;
mate-menus/libmenu/matemenu-tree.c:970:    matemenu_tree_item_ref (entry);
mate-menus/libmenu/matemenu-tree.c:985:  return item->parent ? matemenu_tree_item_ref (item->parent) : NULL;
mate-menus/libmenu/matemenu-tree.c:1106:  g_slist_foreach (iter->contents, (GFunc) matemenu_tree_item_ref, NULL);
mate-menus/libmenu/matemenu-tree.c:1151:  return (MateMenuTreeDirectory*)matemenu_tree_item_ref (iter->item);
mate-menus/libmenu/matemenu-tree.c:1170:  return (MateMenuTreeEntry*)matemenu_tree_item_ref (iter->item);
mate-menus/libmenu/matemenu-tree.c:1189:  return (MateMenuTreeHeader*)matemenu_tree_item_ref (iter->item);
mate-menus/libmenu/matemenu-tree.c:1208:  return (MateMenuTreeAlias*)matemenu_tree_item_ref (iter->item);
mate-menus/libmenu/matemenu-tree.c:1227:  return (MateMenuTreeSeparator*)matemenu_tree_item_ref (iter->item);
mate-menus/libmenu/matemenu-tree.c:1453:  return matemenu_tree_item_ref (header->directory);
mate-menus/libmenu/matemenu-tree.c:1485:	return matemenu_tree_item_ref(alias->directory);
mate-menus/libmenu/matemenu-tree.c:1532:  return (MateMenuTreeDirectory *) matemenu_tree_item_ref (alias->aliased_item);
mate-menus/libmenu/matemenu-tree.c:1547:  return (MateMenuTreeEntry *) matemenu_tree_item_ref (alias->aliased_item);
mate-menus/libmenu/matemenu-tree.c:1668:  retval->directory = matemenu_tree_item_ref (directory);
mate-menus/libmenu/matemenu-tree.c:1701:  retval->directory    = matemenu_tree_item_ref (directory);
mate-menus/libmenu/matemenu-tree.c:1703:    retval->aliased_item = matemenu_tree_item_ref (item);
mate-menus/libmenu/matemenu-tree.c:1707:      retval->aliased_item = matemenu_tree_item_ref (alias->aliased_item);
mate-menus/libmenu/matemenu-tree.c:1786: * matemenu_tree_item_ref:
mate-menus/libmenu/matemenu-tree.c:1792:matemenu_tree_item_ref (gpointer itemp)
mate-menus/libmenu/matemenu-tree.c:4362:					matemenu_tree_item_ref (alias));
mate-menus/libmenu/matemenu-tree.c:4399:					    matemenu_tree_item_ref (subdir));
mate-menus/libmenu/matemenu-tree.c:4445:					matemenu_tree_item_ref (entry));
mate-menus/libmenu/matemenu-tree.c:5011:          (GBoxedCopyFunc)matemenu_tree_item_ref,
mate-menus/libmenu/matemenu-tree.c:5024:          (GBoxedCopyFunc)matemenu_tree_item_ref,
mate-menus/libmenu/matemenu-tree.c:5037:          (GBoxedCopyFunc)matemenu_tree_item_ref,
mate-menus/libmenu/matemenu-tree.c:5050:          (GBoxedCopyFunc)matemenu_tree_item_ref,
mate-menus/libmenu/matemenu-tree.c:5063:          (GBoxedCopyFunc)matemenu_tree_item_ref,
mate-menus/libmenu/matemenu-tree.h:106:gpointer matemenu_tree_item_ref   (gpointer item);
mate-panel/mate-panel/menu.c:931:				matemenu_tree_item_ref (directory),
mate-panel/mate-panel/menu.c:1040:				matemenu_tree_item_ref (header),
mate-panel/mate-panel/menu.c:1058:				matemenu_tree_item_ref (entry),
mate-panel/mate-panel/menu.c:1067:					matemenu_tree_item_ref (alias_directory)
```
(In reply to todd_lewis from comment #25)
> (In reply to Victor Stratan from comment #24)
> > Similar problem has been detected:
> > 
> > i left the linux mate desktop idle. when i came back the screen was black
> > and would not wake up. was able to open a new text terminal and reboot from
> > there. was not able to see anything or wakeup the X graphical screen before
> > reboot.
> 
> Exactly the scenario I'm encountering on a half-dozen hosts. I've taken to
>   chmod -x /usr/bin/mate-screensaver
> until we get some resolution.

Why?
Simply disable desktop-idle/lock might be a better workaround.
```
[rave@mother ~]$ gsettings get org.mate.screensaver lock-enabled
false
[rave@mother ~]$ gsettings get org.mate.screensaver idle-activation-enabled
false
```

@Bob
Cross posting other non related problems again and again with your box isn't helpful.
Better post steps to reproduce this issue with mate-screensaver.

Comment 28 Victor Stratan 2021-09-20 16:52:40 UTC
Q: System wasn't suspended or monitor was power off?
A: system wasn't suspended. It was on a desktop that does not suspend or power off or hibernate. If you have a way to check the settings, I can do that.

I did not lock the system manually.

Settings:
[user@localhost ~]$ gsettings get org.mate.screensaver lock-enabled
false
[user@localhost ~]$ gsettings get org.mate.screensaver idle-activation-enabled
true

I remember before this incident the screen save worked without issues. Today I tried to reproduce the issue by leaving the desktop idle and seeing if the issue occurs. I was unable to reproduce the issue. I did not modify any settings. When the issue occurred, i did not see the unlock dialog, when i tried to "wakeup from screensaver". The screensaver was not showing any pictures, I have is configured to show the pictures on planets.

Comment 29 Wolfgang Ulbrich 2021-10-15 20:11:55 UTC
Do you have xscreensaver installed?
Please remove.
Does this fix your issue?

Comment 30 Wolfgang Ulbrich 2021-10-16 12:51:10 UTC
Scratch build from mate-menus. Does this fix your issue?
https://koji.fedoraproject.org/koji/taskinfo?taskID=77341614

Comment 31 bizonek 2021-10-17 18:50:31 UTC
*** Bug 2014897 has been marked as a duplicate of this bug. ***

Comment 32 Victor Stratan 2021-10-18 11:59:48 UTC
After applying updates from standard Fedora distro updates, i intentionally left the desktop to idle many times over the weekend, the problem did not repeat.

If the issue happens again, will update this ticket.

Comment 33 Wolfgang Ulbrich 2021-10-18 15:27:36 UTC
(In reply to Victor Stratan from comment #32)
> After applying updates from standard Fedora distro updates, i intentionally
> left the desktop to idle many times over the weekend, the problem did not
> repeat.
> 
> If the issue happens again, will update this ticket.

Any chance of testing? https://koji.fedoraproject.org/koji/taskinfo?taskID=77341614
This package is not in standard repositories.

Comment 34 Victor Stratan 2021-10-18 18:48:39 UTC
I am now on mate-menus-1.26.0-1.fc34.x86_64  and the issue does not reproduce. 
Since I cannot reproduce the issue any more, not sure what value would be testing the package that you linked.

Comment 35 Wolfgang Ulbrich 2021-10-19 18:15:52 UTC
I reverted an upstream commit which is confirmed by ubuntu users that is fixes problems with up coming ubuntu-21.10.
https://github.com/mate-desktop/mate-panel/issues/1260#issuecomment-941646715
But i can't reproduce the issue for myself in result some reporters from this report needs to confirm that https://koji.fedoraproject.org/koji/taskinfo?taskID=77341614 helps.

Comment 36 todd_lewis 2021-10-21 02:20:19 UTC
Similar problem has been detected:

Left the screensaver running for hours. Nothing else.

reporter:       libreport-2.15.2
backtrace_rating: 4
cgroup:         0::/user.slice/user-12428.slice/session-2.scope
cmdline:        mate-screensaver
crash_function: matemenu_tree_item_ref
executable:     /usr/bin/mate-screensaver
journald_cursor: s=df6f3d8bf54144cc8859ece144e1447d;i=3bd12;b=eb85e970198049b39640c4453d8a2258;m=f2e0050b2;t=5ced2f9e2d8f2;x=bfdcbe8a2c622551
kernel:         5.14.10-200.fc34.x86_64
package:        mate-screensaver-1.26.0-1.fc34
reason:         mate-screensaver killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            12428

Comment 37 todd_lewis 2021-10-22 15:34:36 UTC
And from another host:
Oct 21 08:57:12 riverkym abrt-server[7567]: Deleting problem directory ccpp-2021-10-21-08:57:11.938403-1511 (dup of ccpp-2021-09-11-08:18:44.365051-1512)
Oct 21 08:57:12 riverkym abrt-notification[7608]: [🡕] Process 1512 (mate-screensaver) crashed in matemenu_tree_item_ref()

Comment 38 Wolfgang Ulbrich 2021-10-22 16:00:25 UTC
@todd_lewis
or every otrher here.....
Why not testing https://koji.fedoraproject.org/koji/taskinfo?taskID=77341614
with a fix for you problems?

Comment 39 todd_lewis 2021-10-22 19:26:50 UTC
(In reply to Wolfgang Ulbrich from comment #38)
> @todd_lewis
> or every otrher here.....
> Why not testing https://koji.fedoraproject.org/koji/taskinfo?taskID=77341614
> with a fix for you problems?

I'm not deeply involved with maintaining Fedora packages or using koji; I clicked around a while and went down several rabbit holes before giving up. Apologies if it's something obvious that I just missed, but could you please explain how to go from the link you provided to an rpm I can install and test? Thanks.

Comment 40 Wolfgang Ulbrich 2021-10-22 22:33:43 UTC
(In reply to todd_lewis from comment #39)
> (In reply to Wolfgang Ulbrich from comment #38)
> > @todd_lewis
> > or every otrher here.....
> > Why not testing https://koji.fedoraproject.org/koji/taskinfo?taskID=77341614
> > with a fix for you problems?
> 
> I'm not deeply involved with maintaining Fedora packages or using koji; I
> clicked around a while and went down several rabbit holes before giving up.
> Apologies if it's something obvious that I just missed, but could you please
> explain how to go from the link you provided to an rpm I can install and
> test? Thanks.

1. select the link with the correct arch of your box you want to install the update. (eg. `buildArch (mate-menus-1.26.0-2.fc34.src.rpm, x86_64)` for x86_64, etc.) 
2. in next page download (example for x86_64) mate-menus-1.26.0-2.fc34.x86_64.rpm and mate-menus-libs-1.26.0-2.fc34.x86_64.rpm.
The -devel package you need only for compiling other packages. I don't think that you ever did this, in result you don't need this package!
3. In download folder of packages do `dnf install mate-menus-1.26.0-2.fc34.x86_64.rpm mate-menus-libs-1.26.0-2.fc34.x86_64.rpm`

... this is a very easy task , hopefully.

Comment 41 Wolfgang Ulbrich 2021-10-22 22:39:16 UTC
PS: This page (koji) is the fedora build server where fedora builds all packages. You can download everything for fedora from there for all branches....

Comment 42 todd_lewis 2021-10-23 20:55:55 UTC
Still getting SEGV in mate-screensaver even with the 1.26.0-2 rpms; see bug #2016789.

Comment 43 Wolfgang Ulbrich 2021-11-04 16:49:48 UTC
Could you please test this mate-screensaver build with an upstream fix?
https://koji.fedoraproject.org/koji/taskinfo?taskID=78290275

Comment 44 Wolfgang Ulbrich 2021-11-04 16:52:54 UTC
Test build included this fix.
https://github.com/mate-desktop/mate-screensaver/pull/262

Comment 45 todd_lewis 2021-11-05 01:33:16 UTC
(In reply to Wolfgang Ulbrich from comment #43)
> Could you please test this mate-screensaver build with an upstream fix?
> https://koji.fedoraproject.org/koji/taskinfo?taskID=78290275

I no longer have ready access to any f34 installs. We've moved them all to Fedora 35.

Comment 46 todd_lewis 2021-11-05 12:21:52 UTC
(In reply to todd_lewis from comment #45)
> (In reply to Wolfgang Ulbrich from comment #43)
> > Could you please test this mate-screensaver build with an upstream fix?
> > https://koji.fedoraproject.org/koji/taskinfo?taskID=78290275
> 
> I no longer have ready access to any f34 installs. We've moved them all to
> Fedora 35.

Resurrected a couple of f34 hosts and installed the updated rpm. Fingers crossed.

Do we know specifically what triggers the bug? Because if it's fixed, we could be waiting a long time.

Comment 47 Wolfgang Ulbrich 2021-11-05 13:10:21 UTC
(In reply to todd_lewis from comment #46)
> (In reply to todd_lewis from comment #45)
> > (In reply to Wolfgang Ulbrich from comment #43)
> > > Could you please test this mate-screensaver build with an upstream fix?
> > > https://koji.fedoraproject.org/koji/taskinfo?taskID=78290275
> > 
> > I no longer have ready access to any f34 installs. We've moved them all to
> > Fedora 35.
> 
> Resurrected a couple of f34 hosts and installed the updated rpm. Fingers
> crossed.
> 
> Do we know specifically what triggers the bug? Because if it's fixed, we
> could be waiting a long time.

In link to upstream pull request are steps to reproduce.
But you posted here that you had crashes, so are this crashes gone or not with new version?
I will do rebuild for f35.

Comment 48 Wolfgang Ulbrich 2021-11-05 13:29:17 UTC
Build for 35:
https://koji.fedoraproject.org/koji/taskinfo?taskID=78363856

Comment 49 todd_lewis 2021-11-05 14:40:08 UTC
Tested on three f34 machines. (Found a 3rd host!)
All three no longer crash with the updated mate-screensaver-1.26.0-2 rpm.
Unfortunately, I had already applied on two of them before I had the triggering procedure. But on the 3rd, the triggering procedure did indeed cause the crash, and that stopped after applying the new rpm.

I will test the procedure on a couple of f35 hosts before applying the new f35 rpm, test it again, then report back here.

This is looking very good so far.

Comment 50 todd_lewis 2021-11-05 15:52:50 UTC
Confirming — this triggering procedure:

> $ cat ./mate-screensaver-test.sh 
> #!/usr/bin/bash
>
> set -x
> sudo cp /usr/share/applications/mate-panel.desktop /usr/share/applications/TMPTMPTMP.desktop
> sleep 3
> sudo rm /usr/share/applications/TMPTMPTMP.desktop
> sleep 3
> mate-screensaver-command -a

* causes the crash on f35; and
* after applying the updated mate-screensaver-1.26.0-2.fc35.x86_64.rpm the crash no longer happens.

Comment 51 Fedora Update System 2021-11-13 10:04:33 UTC
FEDORA-2021-20002cc727 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-20002cc727

Comment 52 Fedora Update System 2021-11-13 10:04:33 UTC
FEDORA-2021-8834f85ef0 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8834f85ef0

Comment 53 Bob Schultz 2021-11-13 17:38:40 UTC
Tested mate-screensaver-1.26.0-2.fc35.x86_64.rpm on two F35 machines. Working properly as expected.

Comment 54 Fedora Update System 2021-11-15 03:57:13 UTC
FEDORA-2021-20002cc727 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-20002cc727`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-20002cc727

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 55 Fedora Update System 2021-11-15 04:07:22 UTC
FEDORA-2021-8834f85ef0 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8834f85ef0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8834f85ef0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 56 Fedora Update System 2021-11-23 01:31:33 UTC
FEDORA-2021-8834f85ef0 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 57 Fedora Update System 2021-11-23 01:47:39 UTC
FEDORA-2021-20002cc727 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.